Skip to content

/api/v1/facilities/{facilityId}/outbound/containers (POST)

POST
/api/v1/facilities/{facilityId}/outbound/containers
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/outbound/containers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "orderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "cartonTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
facilityId
required
string format: uuid
Idempotency-Key
string

Optional, 1 to 128 characters (the IETF Idempotency-Key header). A repeat with the same key and payload within 24 hours answers the stored response and changes nothing; the same key with a different payload is 422 idempotency_key_reused; a repeat while the first is still in flight is 409 idempotency_request_in_progress.

object
orderId
string format: uuid
nullable
cartonTypeId
string format: uuid
nullable

Example generated

{
"orderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"cartonTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Created

object
id
required
string format: uuid
code
required
string
orderId
required
string format: uuid
orderNumber
required
string
cartonTypeId
required
string format: uuid
cartonTypeCode
required
string
length
required
number format: double
width
required
number format: double
height
required
number format: double
lengthUnit
required
string
Allowed values: Cm Mm M In
weight
required
number format: double
nullable
expectedWeight
required
number format: double
nullable
weightUnit
required
string
Allowed values: Kg G Lb Oz
status
required
string
Allowed values: Open Closed
items
required
Array<object>
object
id
required
string format: uuid
orderLineId
required
string format: uuid
productId
required
string format: uuid
sku
required
string
lotNumber
required
string
nullable
quantity
required
integer format: int32
closedAt
required
string format: date-time
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Unprocessable Entity

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable